﻿@model Jumbula.Core.Model.CreditCard.ParentBillingMethodsViewModel

@{
    Layout = null;
}

<div class="wrapper" id="resultTarget">
    <div id="wrapper-title">

        @if (@Model.PageMode.ToString() == "Create")
        {
            <span>Add payment method</span>
        }
        else
        {
            <span>Edit payment method</span>
        }

    </div>
    <div class="container-flud">
        <div class="row">
            <div class="col-md-12">

                @using (Ajax.BeginForm("CreateEditUserCard", "Registrant", new AjaxOptions
                {
                    HttpMethod = "POST",
                    OnSuccess = "CreateEditCardSuccess",
                    OnFailure = "onFailure",
                }))
                {

                    @Html.AntiForgeryToken()
                    @Html.HiddenFor(model => model.PageMode)
                    @Html.HiddenFor(model => model.Id)

                    <div class="form-horizontal form-padding">

                        <div id="NewCard">
                            @Html.ValidationSummary(true, "", new { @class = "text-danger error-box" })
                            <div class="form-group">
                                <div class="col-md-12">
                                    @if (@Model.PageMode.ToString() == "Create")
                                    {
                                        @Html.LabelFor(model => model.CardNumber, htmlAttributes: new { @class = "control-label text-left req-star" })
                                    }
                                    else
                                    {
                                    <div >Card number **** @Model.Last4Digit <span style="color:red">*</span></div> 
                                    }
                                    
                                    <div class="card-number-box" id="card-number-box">
                                        @Html.EditorFor(model => model.CardNumber, new { htmlAttributes = new { @class = "form-control cc-icons" } })
                                    </div>


                                    @Html.ValidationMessageFor(model => model.CardNumber, "", new { @class = "text-danger" })

                                </div>
                            </div>

                            <div class="form-group">
                                <div class="col-md-10 ">
                                    @Html.Label("", htmlAttributes: new { @class = "control-label text-left" })
                                    <label class="control-label label-select-day req-star">Month</label>
                                    <label class="control-label label-select-day req-star">Year</label>
                                    <div class="drop-downs box-select-date">
                                        @Html.DropDownListFor(model => model.Month, (IEnumerable<SelectListItem>)ViewBag.MonthList, "MM", new { @class = "form-control select-date" })
                                        <span>/ 20</span>
                                        @Html.DropDownListFor(model => model.Year2Char, (IEnumerable<SelectListItem>)ViewBag.Year2CharList, "YY", new { @class = "form-control select-date" })
                                        @Html.ValidationMessageFor(model => model.Month, "", new { @class = "text-danger" })

                                    </div>
                                </div>
                                <div class="col-md-2">
                                    @Html.LabelFor(model => model.CVV, htmlAttributes: new { @class = "control-label text-left req-star" })
                                    <div>
                                        @Html.EditorFor(model => model.CVV, new { htmlAttributes = new { @class = "form-control", @style = "display:inline-block;width:80%;" } })
                                        <span class="billspan tooltipbill">?</span>
                                        @Html.ValidationMessageFor(model => model.CVV, "", new { @class = "text-danger" })
                                    </div>

                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-12">
                                    @Html.LabelFor(model => model.CardHolderName, htmlAttributes: new { @class = "control-label text-left req-star" })
                                    @Html.EditorFor(model => model.CardHolderName, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.CardHolderName, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="col-md-12">
                                    @Html.Label("Billing address", new { @class = "control-label text-left req-star" })
                                    @Html.EditorFor(model => model.Address, new { htmlAttributes = new { @class = "form-control", id = "address" } })
                                    @Html.ValidationMessageFor(model => model.Address, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            @if (@Model.PageMode.ToString() == "Create")
                            {
                                <div class="form-group">
                                    <div class="col-md-12">
                                        <div class="checkbox">
                                            <label>
                                                @Html.CheckBoxFor(model => model.IsDefault, new { @class = "waiver-confirmation", @id = "SetActiveCheck" })
                                                <span class="check"></span>
                                                Set this credit card as preferred
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            }
                            else
                            {
                                @Html.EditorFor(model => model.IsDefault, new { htmlAttributes = new { @class = "form-control", style = "display:none" } })
                            }

                            <div class="form-group">
                                <div class="col-md-12">
                                    <input type="submit" value="Submit" class="btn btn_side-right-bottom btn_color-green" />
                                    <a href="javascript: Cancel();" class="btn btn_side-right-bottom btn_type-simple">Cancel</a>
                                    @ViewBag.StripeError
                                </div>
                            </div>
                        </div>

                    </div>
                }
            </div>
        </div>
    </div>

</div>
